OGRE: Ogre::PropertyAbstractNode Class Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::PropertyAbstractNode Class Reference
[General]

This abstract node represents a script property. More...

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::PropertyAbstractNode:
[legend]

List of all members.

## Public Member Functions
| PropertyAbstractNode (AbstractNode *ptr)
AbstractNode * | clone () const
| Returns a new AbstractNode which is a replica of this one.
String | getValue () const
| Returns a string value depending on the type of the AbstractNode.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Public Attributes
String | name
uint32 | id
AbstractNodeList | values
String | file
unsigned int | line
AbstractNodeType | type
AbstractNode * | parent
Any | context

## Detailed Description

This abstract node represents a script property.

Definition at line 146 of file OgreScriptCompiler.h.

## Constructor & Destructor Documentation

Ogre::PropertyAbstractNode::PropertyAbstractNode | ( | AbstractNode * | ptr | ) |

## Member Function Documentation

AbstractNode* Ogre::PropertyAbstractNode::clone | ( |  | ) | const`[virtual]`

Returns a new AbstractNode which is a replica of this one.

Implements Ogre::AbstractNode.

String Ogre::PropertyAbstractNode::getValue | ( |  | ) | const`[virtual]`

Returns a string value depending on the type of the AbstractNode.

Implements Ogre::AbstractNode.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

Any Ogre::AbstractNode::context`[inherited]`

Definition at line 97 of file OgreScriptCompiler.h.

String Ogre::AbstractNode::file`[inherited]`

Definition at line 93 of file OgreScriptCompiler.h.

uint32 Ogre::PropertyAbstractNode::id

Definition at line 150 of file OgreScriptCompiler.h.

unsigned int Ogre::AbstractNode::line`[inherited]`

Definition at line 94 of file OgreScriptCompiler.h.

String Ogre::PropertyAbstractNode::name

Definition at line 149 of file OgreScriptCompiler.h.

AbstractNode* Ogre::AbstractNode::parent`[inherited]`

Definition at line 96 of file OgreScriptCompiler.h.

AbstractNodeType Ogre::AbstractNode::type`[inherited]`

Definition at line 95 of file OgreScriptCompiler.h.

AbstractNodeList Ogre::PropertyAbstractNode::values

Definition at line 151 of file OgreScriptCompiler.h.

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:01